class Student:
    def __init__(self, name, age, gender, contact):
        self.__name = name
        self.__age = age if age > 0 else 18  # 默认年龄为18
        self.__gender = gender if gender.lower() in ['male', 'female'] else 'male'  # 默认性别为male
        self.__contact = contact

    def __validate_age(self, age):
        return age if age > 0 else 18

    def __validate_gender(self, gender):
        return gender if gender.lower() in ['male', 'female'] else 'male'

    def get_student_info(self):
        return {
            'name': self.__name,
            'age': self.__age,
            'gender': self.__gender,
            'contact': self.__contact
        }

    def __str__(self):
        return f"Name: {self.__name}, Age: {self.__age}, Gender: {self.__gender}, Contact: {self.__contact}"

def main():
    num_students = int(input("请输入学生人数: "))
    students = []

    for _ in range(num_students):
        name = input("请输入学生姓名: ")
        age = input("请输入学生年龄: ")
        gender = input("请输入学生性别（male/female）: ")
        contact = input("请输入学生联系方式: ")

        student = Student(name, int(age), gender, contact)
        students.append(student)

    for student in students:
        print(student)

if __name__ == "__main__":
    main()